##### ssl::context::clear_options (1 of 2 overloads)

Clear options on the context.

    void clear_options(
        options o);

This function may be used to configure the SSL options used by the context.

###### Parameters

o

  A bitmask of options. The available option values are defined in the `ssl::context_base` class. The specified options, if currently enabled on the context, are cleared.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_clear_options`.